Package org.kapott.hbci.dialog

# Class HBCIDialogLockKeys

java.lang.Object
org.kapott.hbci.dialog.AbstractRawHBCIDialog
org.kapott.hbci.dialog.HBCIDialogLockKeys

All Implemented Interfaces:
  `RawHBCIDialog`

public class HBCIDialogLockKeys extends AbstractRawHBCIDialog
Diese Klasse enthaelt die Message zum Sperren von Schluesseln.

## Constructor Summary

Constructors
Constructor
Description
`HBCIDialogLockKeys()`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`applyData(DialogContext ctx)`
Befuellt die Daten fuer die Nachricht.
`protected void`
`checkResult(DialogContext ctx)`
Kann implementiert werden, um das Ergebnis des Dialogs zu pruefen.
`protected HBCIMsgStatus`
`sendData(DialogContext ctx)`
Default-Implementierung fuer den Versand.

### Methods inherited from class org.kapott.hbci.dialog.AbstractRawHBCIDialog

`createSCARequest, execute, getActualTemplate, getSegmentVersion, getTemplate, setTemplate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIDialogLockKeys

public HBCIDialogLockKeys()
ct.

## Method Details

### applyData

protected void applyData(DialogContext ctx)
Description copied from class: `AbstractRawHBCIDialog`
Befuellt die Daten fuer die Nachricht.

Overrides:
  `applyData` in class `AbstractRawHBCIDialog`
Parameters:
  `ctx` - der Kontext.
See Also:
  - invalid reference

        org.kapott.hbci.dialog.AbstractHBCIDialogInit#applyData(org.kapott.hbci.dialog.DialogContext)

### sendData

protected HBCIMsgStatus sendData(DialogContext ctx)
Description copied from class: `AbstractRawHBCIDialog`
Default-Implementierung fuer den Versand. Verschluesselung und Signierung findet nur statt, wenn es kein anonymer Dialog ist.

Overrides:
  `sendData` in class `AbstractRawHBCIDialog`
Parameters:
  `ctx` - der Kontext.
Returns:
  die Ergebnis-Daten.
See Also:
  - `AbstractRawHBCIDialog.sendData(org.kapott.hbci.dialog.DialogContext)`

### checkResult

protected void checkResult(DialogContext ctx)
Description copied from class: `AbstractRawHBCIDialog`
Kann implementiert werden, um das Ergebnis des Dialogs zu pruefen.

Overrides:
  `checkResult` in class `AbstractRawHBCIDialog`
Parameters:
  `ctx` - der Kontext.
See Also:
  - `AbstractRawHBCIDialog.checkResult(org.kapott.hbci.dialog.DialogContext)`